Name:		kfiresaver3d
Summary: 	kfiresaver3d screensaver
Version: 	0.6
Release: 	1mdk
Source0: 	kfiresaver3d-0.6.tar.bz2
Source1:	kfiresaver.desktop
Patch0:		kfiresaver3d-0.6-leakfix.patch.bz2
License:  	GPL
URL:		http://www.kde-look.org/content/show.php?content=3129
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:  kdelibs-devel
BuildRequires:  perl-MDK-Common
Requires:  	kdebase


%description
Open GL Screensaver for KDE3, showing an exceptional display of fireworks.
There are a lot of options to fully configure the screensaver including a
'shading' effect, sound, gFX, the possibility to use presets for options 
and many other things...

You will probably need video drivers that support hardware 3D acceleration
to make use of this package.

%prep

%setup  -q -nkfiresaver3d-%{version}

%patch -p1

%build

CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
	./configure --prefix=%_prefix \
	--build=%_target_platform \
	--host=%_target_platform \
	--disable-rpath \
	--disable-debug \
	--enable-final \
	--with-xinerama

%make

%install

rm -fr %buildroot

make install DESTDIR=%buildroot

install -d %buildroot/%_menudir/

rm -f %buildroot/%_datadir/applnk/System/ScreenSavers

mkdir -p %buildroot/%_datadir/applnk/System/ScreenSavers
cp -f %{SOURCE1} %buildroot/%_datadir/applnk/System/ScreenSavers/kfiresaver3d.desktop


kdedesktop2mdkmenu.pl kfiresaver3d  .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/kfiresaver3d.desktop %buildroot/%_menudir/kfiresaver3d kde

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,-)
%_menudir/*
%_bindir/kfiresaver3d
%dir %_datadir/applnk/System/
%dir %_datadir/applnk/System/ScreenSavers/
%_datadir/applnk/System/ScreenSavers/*.desktop

%_datadir/apps/kfiresaver/fw_explode.wav
%_datadir/apps/kfiresaver/kde.png
%_datadir/apps/kfiresaver/particle.bmp
%_datadir/apps/kfiresaver/tux.png


%changelog
* Thu Jan 01 2004 Danny Tholen <obiwan@mailmij.org> 0.6-1mdk
- Happy new year!
- Fix for big memleak by author
- original spec adapted from Texstar
